Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class TaxRecordDetails3

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.TaxRecordDetails3

public class TaxRecordDetails3 extends Object

Java class for TaxRecordDetails3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxRecordDetails3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Prd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}TaxPeriod3" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ActiveOrHistoricCurrencyAndAmount"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected TaxPeriod3`
`prd`

## Constructor Summary

Constructors
Constructor
Description
`TaxRecordDetails3()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`TaxPeriod3`
`getPrd()`
Gets the value of the prd property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setPrd(TaxPeriod3 value)`
Sets the value of the prd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### prd

protected TaxPeriod3 prd

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

## Constructor Details

### TaxRecordDetails3

public TaxRecordDetails3()

## Method Details

### getPrd

public TaxPeriod3 getPrd()
Gets the value of the prd property.

Returns:
  possible object is `TaxPeriod3`

### setPrd

public void setPrd(TaxPeriod3 value)
Sets the value of the prd property.

Parameters:
  `value` - allowed object is `TaxPeriod3`

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`